Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::NullLog Class Reference

Null implementation of Log. More...

`#include <Log.h>`

Inheritance diagram for FIX::NullLog:
[legend]
Collaboration diagram for FIX::NullLog:
[legend]

List of all members.

## Public Member Functions

void | clear ()
void | backup ()
void | onIncoming (const std::string &)
void | onOutgoing (const std::string &)
void | onEvent (const std::string &)

## Detailed Description

Null implementation of Log.

This is only for internal use. Used when no log factory is passed to the initiator or acceptor.

Definition at line 100 of file Log.h.

## Member Function Documentation

void FIX::NullLog::backup | ( |  | ) | `[inline, virtual]`

Implements FIX::Log.

Definition at line 104 of file Log.h.

    00104 {}

void FIX::NullLog::clear | ( |  | ) | `[inline, virtual]`

Implements FIX::Log.

Definition at line 103 of file Log.h.

    00103 {}

void FIX::NullLog::onEvent | ( | const std::string & |  | ) | `[inline, virtual]`

Implements FIX::Log.

Definition at line 107 of file Log.h.

    00107 {}

void FIX::NullLog::onIncoming | ( | const std::string & |  | ) | `[inline, virtual]`

Implements FIX::Log.

Definition at line 105 of file Log.h.

    00105 {}

void FIX::NullLog::onOutgoing | ( | const std::string & |  | ) | `[inline, virtual]`

Implements FIX::Log.

Definition at line 106 of file Log.h.

    00106 {}

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Log.h